com.ibm.openpages.api.scheduler

## Interface ISchedJobDetail

-     public interface ISchedJobDetail

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobDetailCategory` | `getCategory()` Returns the type of the job detail.
    `java.lang.String` | `getCreatedBy()` Returns the user name who created the job detail
    `java.util.Date` | `getCreatedDate()` Returns the creation date
    `java.util.Map<java.lang.String,java.lang.Object>` | `getData()`
    `java.lang.String` | `getDescription()` Returns the description of the job detail
    `Id` | `getId()` Returns unique identifier of the job detail
    `java.lang.String` | `getJobClass()` Returns the fully qualified name of the java class associated with the job detai.
    `ISchedJobConfiguration` | `getJobConfiguration()` Get the job configuration `ISchedJobConfiguration`
    `java.lang.String` | `getModifiedBy()` Returns the user name who last modified the job detail
    `java.util.Date` | `getModifiedDate()` Returns the last modified date
    `java.lang.String` | `getName()` Returns name of the job detail
    `java.util.List<ISchedJobSchedule>` | `getScheduleList()` Get the list of schedules `ISchedJobSchedule` defined for the job
    `JobDetailType` | `getType()` Returns the type of the job detail.
    `boolean` | `isConfigurable()` Returns if the job is configurable or not.
    `boolean` | `isEnabled()` Returns if the job detail is enabled or not.
    `boolean` | `isSuppliedByVendor()` Get whether the job was supplied by OpenPages
    `void` | `setCategory(JobDetailCategory category)` Sets the type of the job detail.
    `void` | `setConfigurable(boolean isConfigurable)` Sets whether the job is configurable or not.
    `void` | `setData(java.util.Map<java.lang.String,java.lang.Object> data)`
    `void` | `setDescription(java.lang.String description)` Sets the description of the job detail
    `void` | `setEnabled(boolean isEnabled)` Enables or disables the job detail.
    `void` | `setJobClass(java.lang.String jobClass)` Sets the fully qualified name of the java class associated with the job detail.
    `void` | `setJobConfiguration(ISchedJobConfiguration jobConfiguration)` Set the job configuration `ISchedJobConfiguration`
    `void` | `setName(java.lang.String name)` Sets the name of the job detail
    `void` | `setScheduleList(java.util.List<ISchedJobSchedule> scheduleList)` Set the list of schedules `ISchedJobSchedule` for the job
    `void` | `setType(JobDetailType type)` Sets the type of the job detail.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns unique identifier of the job detail
      Returns:

    - #### getName

          java.lang.String getName()

      Returns name of the job detail
      Returns:

    - #### setName

          void setName(java.lang.String name)

      Sets the name of the job detail
      Parameters:
        `name` -

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of the job detail
      Returns:

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets the description of the job detail
      Parameters:
        `description` -

    - #### getType

          JobDetailType getType()

      Returns the type of the job detail.
      Returns:

    - #### setType

          void setType(JobDetailType type)

      Sets the type of the job detail. Cannot be null.
      Parameters:
        `type` -

    - #### getCategory

          JobDetailCategory getCategory()

      Returns the type of the job detail.
      Returns:

    - #### setCategory

          void setCategory(JobDetailCategory category)

      Sets the type of the job detail. Cannot be null.
      Parameters:
        `category` -

    - #### getJobClass

          java.lang.String getJobClass()

      Returns the fully qualified name of the java class associated with the job detai.
      Returns:

    - #### setJobClass

          void setJobClass(java.lang.String jobClass)

      Sets the fully qualified name of the java class associated with the job detail. Cannot be null.
      Parameters:
        `jobClass` -

    - #### isEnabled

          boolean isEnabled()

      Returns if the job detail is enabled or not. The job can be instantiated only when it is enabled.
      Returns:

    - #### setEnabled

          void setEnabled(boolean isEnabled)

      Enables or disables the job detail.
      Parameters:
        `isEnabled` -

    - #### isConfigurable

          boolean isConfigurable()

      Returns if the job is configurable or not.
      Returns:

    - #### setConfigurable

          void setConfigurable(boolean isConfigurable)

      Sets whether the job is configurable or not.
      Parameters:
        `isConfigurable` -

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date
      Returns:

    - #### getModifiedBy

          java.lang.String getModifiedBy()

      Returns the user name who last modified the job detail
      Returns:

    - #### getCreatedDate

          java.util.Date getCreatedDate()

      Returns the creation date
      Returns:

    - #### getCreatedBy

          java.lang.String getCreatedBy()

      Returns the user name who created the job detail
      Returns:

    - #### getJobConfiguration

          ISchedJobConfiguration getJobConfiguration()

      Get the job configuration `ISchedJobConfiguration`
      Returns:
        the job configuration

    - #### setJobConfiguration

          void setJobConfiguration(ISchedJobConfiguration jobConfiguration)

      Set the job configuration `ISchedJobConfiguration`
      Parameters:
        `jobConfiguration` - the job configuration

    - #### isSuppliedByVendor

          boolean isSuppliedByVendor()

      Get whether the job was supplied by OpenPages
      Returns:
        true, if this is provided by OpenPages; false otherwise

    - #### getScheduleList

          java.util.List<ISchedJobSchedule> getScheduleList()

      Get the list of schedules `ISchedJobSchedule` defined for the job
      Returns:
        The job's schedules

    - #### setScheduleList

          void setScheduleList(java.util.List<ISchedJobSchedule> scheduleList)

      Set the list of schedules `ISchedJobSchedule` for the job
      Parameters:
        `scheduleList` - The list of job schedules

    - #### getData

          java.util.Map<java.lang.String,java.lang.Object> getData()

      Returns:
        Returns the `Map` with the job detail data

    - #### setData

          void setData(java.util.Map<java.lang.String,java.lang.Object> data)

      Parameters:
        `data` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.